OpenMS: LabelFreeLabeler Class Reference

| OpenMS 2.5.0

Public Member Functions | Static Public Member Functions | List of all members
LabelFreeLabeler Class Reference

Abstract base class for all kinds of labeling techniques. More...

`#include <OpenMS/SIMULATION/LABELING/LabelFreeLabeler.h>`

Inheritance diagram for LabelFreeLabeler:

## Public Member Functions

| LabelFreeLabeler ()
| default constructor More...
| ~LabelFreeLabeler () override
| destructor More...
void | preCheck (Param &param) const override
| Checks the (simulation) params passed if they are consistent with the labeling technique. More...
void | setUpHook (SimTypes::FeatureMapSimVector &) override
| Hook to prepare the simulation process. More...
void | postDigestHook (SimTypes::FeatureMapSimVector &) override
| Labeling between digestion and rt simulation. More...
void | postRTHook (SimTypes::FeatureMapSimVector &) override
| Labeling after rt simulation. More...
void | postDetectabilityHook (SimTypes::FeatureMapSimVector &) override
| Labeling after detectability simulation. More...
void | postIonizationHook (SimTypes::FeatureMapSimVector &) override
| Labeling after ionization. More...
void | postRawMSHook (SimTypes::FeatureMapSimVector &) override
| Labeling after raw signal generation. More...
void | postRawTandemMSHook (SimTypes::FeatureMapSimVector &, SimTypes::MSSimExperiment &) override
| Labeling after Tandem MS (e.g. iTRAQ) More...
Public Member Functions inherited from BaseLabeler
| BaseLabeler ()
| constructor More...
| ~BaseLabeler () override
| destructor More...
virtual Param | getDefaultParameters () const
| Returns the default parameters. Re-implement. More...
virtual void | setRnd (SimTypes::MutableSimRandomNumberGeneratorPtr rng)
| Set the random number generator. More...
ConsensusMap & | getConsensus ()
const String & | getDescription () const
| Get short description of the labeler (e.g., channels used) More...
String | getChannelIntensityName (const Size channel_index) const
| to ensure standardized meta value names across labelers for channel intensity More...
Public Member Functions inherited from DefaultParamHandler
| DefaultParamHandler (const String &name)
| Constructor with name that is displayed in error messages. More...
| DefaultParamHandler (const DefaultParamHandler &rhs)
| Copy constructor. More...
virtual | ~DefaultParamHandler ()
| Destructor. More...
virtual DefaultParamHandler & | operator= (const DefaultParamHandler &rhs)
| Assignment operator. More...
virtual bool | operator== (const DefaultParamHandler &rhs) const
| Equality operator. More...
void | setParameters (const Param &param)
| Sets the parameters. More...
const Param & | getParameters () const
| Non-mutable access to the parameters. More...
const Param & | getDefaults () const
| Non-mutable access to the default parameters. More...
const String & | getName () const
| Non-mutable access to the name. More...
void | setName (const String &name)
| Mutable access to the name. More...
const std::vector< String > & | getSubsections () const
| Non-mutable access to the registered subsections. More...

## Static Public Member Functions

static BaseLabeler * | create ()
| create new GaussModel object (needed by Factory) More...
static const String | getProductName ()
| name of the model (needed by Factory) More...
Static Public Member Functions inherited from BaseLabeler
static void | registerChildren ()
| register all derived classes here (implemented in file BaseLabeler_impl.h) More...

## Additional Inherited Members

Protected Member Functions inherited from BaseLabeler
SimTypes::FeatureMapSim | mergeProteinIdentificationsMaps_ (const SimTypes::FeatureMapSimVector &maps)
| Creates an empty FeatureMap with the merged ProteinIdentifications from all FeatureMaps contained in `maps`. More...
void | mergeProteinAccessions_ (Feature &target, const Feature &source) const
| join all protein references of two features More...
void | recomputeConsensus_ (const SimTypes::FeatureMapSim &simulated_features)
| Based on the stored consensus recompute the associations for the passed features, assuming that the features where derived from the features stored in the consensus. More...
Protected Member Functions inherited from DefaultParamHandler
virtual void | updateMembers_ ()
| This method is used to update extra member variables at the end of the setParameters() method. More...
void | defaultsToParam_ ()
| Updates the parameters after the defaults have been set in the constructor. More...
Protected Attributes inherited from BaseLabeler
ConsensusMap | consensus_
SimTypes::MutableSimRandomNumberGeneratorPtr | rng_
String | channel_description_
Protected Attributes inherited from DefaultParamHandler
Param | param_
| Container for current parameters. More...
Param | defaults_
| Container for default parameters. This member should be filled in the constructor of derived classes! More...
std::vector< String > | subsections_
| Container for registered subsections. This member should be filled in the constructor of derived classes! More...
String | error_name_
| Name that is displayed in error messages during the parameter checking. More...
bool | check_defaults_
| If this member is set to false no checking if parameters in done;. More...
bool | warn_empty_defaults_
| If this member is set to false no warning is emitted when defaults are empty;. More...

## Detailed Description

Abstract base class for all kinds of labeling techniques.

## Constructor & Destructor Documentation

## ◆ LabelFreeLabeler()

LabelFreeLabeler | ( |  | ) |

default constructor

## ◆ ~LabelFreeLabeler()

~LabelFreeLabeler | ( |  | ) |

override

destructor

## Member Function Documentation

## ◆ create()

static BaseLabeler* create | ( |  | ) |

inlinestatic

create new GaussModel object (needed by Factory)

Referenced by BaseLabeler::registerChildren().

## ◆ getProductName()

static const String getProductName | ( |  | ) |

inlinestatic

name of the model (needed by Factory)

Referenced by BaseLabeler::registerChildren().

## ◆ postDetectabilityHook()

void postDetectabilityHook | ( | SimTypes::FeatureMapSimVector & |  | ) |

overridevirtual

Labeling after detectability simulation.

Implements BaseLabeler.

## ◆ postDigestHook()

void postDigestHook | ( | SimTypes::FeatureMapSimVector & |  | ) |

overridevirtual

Labeling between digestion and rt simulation.

Implements BaseLabeler.

## ◆ postIonizationHook()

void postIonizationHook | ( | SimTypes::FeatureMapSimVector & |  | ) |

overridevirtual

Labeling after ionization.

Implements BaseLabeler.

## ◆ postRawMSHook()

void postRawMSHook | ( | SimTypes::FeatureMapSimVector & |  | ) |

overridevirtual

Labeling after raw signal generation.

Implements BaseLabeler.

## ◆ postRawTandemMSHook()

void postRawTandemMSHook | ( | SimTypes::FeatureMapSimVector & | ,
|  | SimTypes::MSSimExperiment & |
| ) |  |

overridevirtual

Labeling after Tandem MS (e.g. iTRAQ)

Implements BaseLabeler.

## ◆ postRTHook()

void postRTHook | ( | SimTypes::FeatureMapSimVector & |  | ) |

overridevirtual

Labeling after rt simulation.

Implements BaseLabeler.

## ◆ preCheck()

void preCheck | ( | Param & | param | ) | const

overridevirtual

Checks the (simulation) params passed if they are consistent with the labeling technique.

Parameters

  param | Param object containing the simulation parameters

Exceptions

  Exception::InvalidParameter | if the given parameters are not consistent with the labeling technique

Implements BaseLabeler.

## ◆ setUpHook()

void setUpHook | ( | SimTypes::FeatureMapSimVector & |  | ) |

overridevirtual

Hook to prepare the simulation process.

Implements BaseLabeler.